GET /api/v3/meter/{meterId}/usevsweather/calendarized

Retrieves calendarized use-vs-weather data for a specific meter

GetCalendarizedUseVsWeatherDataV3 Permissions: Meters (View)
Use this endpoint to get calendarized consumption plotted against weather (heating/cooling degree days) for regression analysis and weather normalization.

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Path Parameters

Name Description Type Required
meterId Unique numeric identifier of the meter integer (int32) Required

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

Array of:

MeterCalendarizedUseVsWeatherResponse
Property Description Type
coolingBaseUsePerDay The total base cooling use per day number (double)
coolingWeatherFactor The cooling weather factor number (double)
heatingBaseUsePerDay The total base heating use per day number (double)
heatingWeatherFactor The heating weather factor number (double)
isCoolingWeatherSensitive Is cooling weather sensitive? boolean
isHeatingWeatherSensitive Is heating weather sensitive? boolean
summerBalancePoint Cooling needed above this temperature integer (int32)
useUnit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
winterBalancePoint Heating needed below this temperature integer (int32)
year The year integer (int32)
Example Response application/json
[
  {    "coolingBaseUsePerDay": 1.0,    "coolingWeatherFactor": 1.0,    "heatingBaseUsePerDay": 1.0,    "heatingWeatherFactor": 1.0,    "isCoolingWeatherSensitive": false,    "isHeatingWeatherSensitive": false,    "summerBalancePoint": 1,    "useUnit": {      "unitCode": "string",      "unitId": 1,      "unitInfo": "string"
    },    "winterBalancePoint": 1,    "year": 1
  }
]
404 Not Found The requested resource was not found. Verify the ID or path is correct.